#!/bin/sh
#----------------------------------------------------------------------------
# /etc/rc.d/ipv6-tunnel-provider/he.sh                           3.10.4
#
#
# Creation:     29.01.2012  kristov
# Last Update:  $Id: he.sh 23110 2012-07-30 09:43:24Z kristov $
#----------------------------------------------------------------------------

# $1 = action
# $2 = tunnel index
# $3 = file receiving the tunnel configuration
# $4 = file containing the IPv6 fli4l configuration

. "$4"

case "$1" in
setup)
    {
        eval echo \"remotev4=\$IPV6_TUNNEL_$2_REMOTEV4\"
        eval echo \"localv6=\$IPV6_TUNNEL_$2_LOCALV6\"
        eval echo \"remotev6=\$IPV6_TUNNEL_$2_REMOTEV6\"
        eval echo \"prefix=\$IPV6_TUNNEL_$2_PREFIX\"

        eval echo \"userid=\$IPV6_TUNNEL_$2_USERID\"
        eval password=\"\$IPV6_TUNNEL_$2_PASSWORD\"
        echo "password=`echo -n \"$password\" | md5sum | cut -d ' ' -f 1`"
        eval echo \"tunnelid=\$IPV6_TUNNEL_$2_TUNNELID\"
    } >> "$3"
    ;;
esac

exit 0
