#!/bin/sh
#----------------------------------------------------------------------------
# dhcpv6-notify.sh                                               3.10.4
#
# Last Update:  $Id: dhcpv6-notify.sh 27196 2013-04-19 12:46:55Z kristov $
#----------------------------------------------------------------------------

maxprefixvalidity=4294967295

if [ "$PREFIX1VALID" = $maxprefixvalidity ]
then
    PREFIX1VALID=forever
fi
if [ "$PREFIX1PREF" = $maxprefixvalidity ]
then
    PREFIX1PREF=forever
fi

case $1 in
add)
    run-ipv6-updown.sh up $IFACE $PREFIX1/$PREFIX1LEN $PREFIX1VALID $PREFIX1PREF
    ;;
delete)
    run-ipv6-updown.sh down $IFACE
    ;;
update)
    run-ipv6-updown.sh down $IFACE
    run-ipv6-updown.sh up $IFACE $PREFIX1/$PREFIX1LEN $PREFIX1VALID $PREFIX1PREF
    ;;
*)
    echo "ignoring unknown $1 operation for interface $IFACE"
    ;;
esac
