#!/bin/sh
# $1 = configuration file
# $2 = dynamically assigned IPv4 address

. "$1"
logger -t "ipup-he[$$]" "updating local IPv4 tunnel endpoint to $2"
result="`wget -q -O - \"http://ipv4.tunnelbroker.net/ipv4_end.php?ip=$2&pass=${password}&apikey=${userid}&tid=${tunnelid}\"`"
if echo "$result" | grep -qe "^+OK"; then
	exit 0
else
	logger -t "ipup-he[$$]" "error while updating local IPv4 tunnel endpoint to $2: $result"
	exit 1
fi
