#!/bin/sh
#----------------------------------------------------------------------------
# /etc/rc.d/ipv6-tunnel-provider/raw.sh                          3.10.4
#
#
# Last Update:  $Id: raw.sh 24614 2012-12-19 07:56:00Z kristov $
#----------------------------------------------------------------------------

# $1 = action
# $2 = tunnel index
# $3 = file receiving the tunnel configuration
# $4 = file containing the IPv6 fli4l configuration

. "$4"

case "$1" in
setup)
    {
        eval echo \"remotev4=\$IPV6_TUNNEL_$2_REMOTEV4\"
        eval echo \"localv6=\$IPV6_TUNNEL_$2_LOCALV6\"
        eval echo \"remotev6=\$IPV6_TUNNEL_$2_REMOTEV6\"
    } >> "$3"
    ;;
esac

exit 0
