#!/bin/sh
#----------------------------------------------------------------------------
# /etc/rc.d/ipv6-tunnel-provider/static.sh                       3.10.4
#
#
# Creation:     28.01.2012  kristov
# Last Update:  $Id: static.sh 23110 2012-07-30 09:43:24Z kristov $
#----------------------------------------------------------------------------

# $1 = action
# $2 = tunnel index
# $3 = file receiving the tunnel configuration
# $4 = file containing the IPv6 fli4l configuration

. "$4"

case "$1" in
setup)
    {
        eval echo \"remotev4=\$IPV6_TUNNEL_$2_REMOTEV4\"
        eval echo \"localv6=\$IPV6_TUNNEL_$2_LOCALV6\"
        eval echo \"remotev6=\$IPV6_TUNNEL_$2_REMOTEV6\"
        eval echo \"prefix=\$IPV6_TUNNEL_$2_PREFIX\"
    } >> "$3"
    ;;
esac

exit 0
