#! /bin/sh

addr=`echo "$1"|cut -d '/' -f 1`
length=`echo "$1"|cut -d '/' -f 2`
eaddr=''
i=''
fill=''

if [ `echo "$addr"|grep ^:` ]
then
    addr=`echo "$addr"|cut -d ':' -f 2-`
fi

IFS=':'
set $addr
count="$#"
unset IFS

for i in `seq \`expr 9 - $count\``
do
    if [ "$fill" = "" ]
    then
        fill="0"
    else
        fill="${fill}:0"
    fi
done

IFS=':'
for i in $addr
do
    if [ "$eaddr" = "" ]
    then
        if [ "$i" != "" ]
        then
            eaddr="$i"
        else
            eaddr="$fill"
        fi
    else
        if [ "$i" != "" ]
        then
            eaddr="$eaddr:$i"
        else
            eaddr="$eaddr:$fill"
        fi
    fi        
done

echo "$eaddr/$length"
