#!/bin/sh
#----------------------------------------------------------------------------
# ipv6-restart-daemons.sh                                        3.10.4
#
#
# Last Update:  $Id: ipv6-restart-daemons.sh 26989 2013-04-09 23:02:00Z kristov $
#----------------------------------------------------------------------------

if [ -f /var/run/reload.radvd ]
then
    reload-radvd.sh
    rm /var/run/reload.radvd
fi
if [ -f /var/run/reload.dhcpd6 ]
then
    reload-dhcpd6.sh
    rm /var/run/reload.dhcpd6
fi
if [ -f /var/run/reload.dnsmasq ]
then
    [ -f /var/run/dnsmasq.pid ] && kill -HUP $(cat /var/run/dnsmasq.pid)
    rm /var/run/reload.dnsmasq
fi

setup-dynamic-ip6tables.sh
exit 0
